%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

%define oname kdev-python

Summary:	Python plugin for kdevelop
Name:		kdevelop4-python
Version:	1.7.0
Release:	1
License:	GPLv2+
Group:		Development/Python
Url:		http://www.kdevelop.org
Source0:	http://download.kde.org/stable/kdevelop/%{oname}/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	kdevplatform4-devel >= 4:%{version}
BuildRequires:	kdevelop-pg-qt-devel
Requires:	kdevelop4 >= 4:%{kdevelop_ver}

%description
This plugin adds Python language support (including classview and
code-completion) to KDevelop.

%files -f kdevpython.lang
%{_kde_appsdir}/kdevappwizard/templates/*
%{_kde_appsdir}/kdevpythonsupport
%{_kde_configdir}/kdev_python_docfiles.knsrc
%{_kde_libdir}/kde4/kcm_docfiles.so
%{_kde_libdir}/kde4/kcm_pep8.so
%{_kde_libdir}/kde4/kdevpdb.so
%{_kde_libdir}/kde4/kdevpythonlanguagesupport.so
%{_kde_libdir}/libkdev4pythoncompletion.so
%{_kde_libdir}/libkdev4pythonduchain.so
%{_kde_libdir}/libkdev4pythonparser.so
%{_kde_services}/kcm_kdevpythondocfiles.desktop
%{_kde_services}/kcm_kdevpythonpep8.desktop
%{_kde_services}/kdevpdb.desktop
%{_kde_services}/kdevpythonsupport.desktop

#--------------------------------------------------------------------

%define python_kdevelop_major 1.0
%define libpythonkdevelop %mklibname python%{py_ver}-kdevelop %{python_kdevelop_major}

%package -n %{libpythonkdevelop}
Summary:	Shared library for %{name}
Group:		Development/Python
Conflicts:	libpython2.7-kdevelop < 1.7.0
Obsoletes:	libpython2.7-kdevelop < 1.7.0

%description -n %{libpythonkdevelop}
Shared library for %{name}.

%files -n %{libpythonkdevelop}
%{_kde_libdir}/libpython%{py_ver}-kdevelop.so.%{python_kdevelop_major}*

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde4
make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde_libdir}/libpython%{py_ver}-kdevelop.so

chmod 0755 %{buildroot}%{_kde_libdir}/libpython%{py_ver}-kdevelop.so.%{python_kdevelop_major}*

%find_lang kdevpython

%changelog
* Tue Sep 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7.0-1
+ Revision: 36b3d7a
- New version 1.7.0
- Fix shared library package name
- Update files


